<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>Khepera Library: kb_section_config_s Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="kteamdoxy.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Khepera Library
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('structkb__section__config__s.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">kb_section_config_s Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for kb_section_config_s:</div>
<div class="dyncontent">
<div class="center"><img src="structkb__section__config__s__coll__graph.png" border="0" usemap="#kb__section__config__s_coll__map" alt="Collaboration graph"/></div>
<map name="kb__section__config__s_coll__map" id="kb__section__config__s_coll__map">
<area shape="rect" id="node2" href="structkb__symbol__s.html" title="{kb_symbol_s\n|+ name\l+ type\l+ alloc\l+ value\l|}" alt="" coords="27,6,123,127"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aad5dddf2083fbb27d5a78efa14669f21"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structkb__section__config__s.html#aad5dddf2083fbb27d5a78efa14669f21">module_bus</a></td></tr>
<tr class="separator:aad5dddf2083fbb27d5a78efa14669f21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e019a198c35e99e1385bb9a9aff2213"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structkb__section__config__s.html#a4e019a198c35e99e1385bb9a9aff2213">module_bus_addr</a></td></tr>
<tr class="separator:a4e019a198c35e99e1385bb9a9aff2213"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6521eaaa117a399953bfa5c1b840ebc7"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structkb__section__config__s.html#a6521eaaa117a399953bfa5c1b840ebc7">device_count</a></td></tr>
<tr class="separator:a6521eaaa117a399953bfa5c1b840ebc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a349bb458b0d9d453ac29cc101c78e5cf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="kb__symbol_8h.html#a647437c15fb294570321ffda732a34bb">kb_symbol_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structkb__section__config__s.html#a349bb458b0d9d453ac29cc101c78e5cf">devices</a></td></tr>
<tr class="separator:a349bb458b0d9d453ac29cc101c78e5cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a096465d96b4dd820321c4fc7a4dd4e29"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structkb__section__config__s.html#a096465d96b4dd820321c4fc7a4dd4e29">register_count</a></td></tr>
<tr class="separator:a096465d96b4dd820321c4fc7a4dd4e29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88cea4804ec7e7c7695d3512d763604d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="kb__symbol_8h.html#a647437c15fb294570321ffda732a34bb">kb_symbol_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structkb__section__config__s.html#a88cea4804ec7e7c7695d3512d763604d">registers</a></td></tr>
<tr class="separator:a88cea4804ec7e7c7695d3512d763604d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a8e848f8313b88ddc5478e96758fabd"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structkb__section__config__s.html#a7a8e848f8313b88ddc5478e96758fabd">alias_count</a></td></tr>
<tr class="separator:a7a8e848f8313b88ddc5478e96758fabd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac527a523ab7470aea79fc3f2f93adf78"><td class="memItemLeft" align="right" valign="top"><a class="el" href="kb__symbol_8h.html#a647437c15fb294570321ffda732a34bb">kb_symbol_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structkb__section__config__s.html#ac527a523ab7470aea79fc3f2f93adf78">aliases</a></td></tr>
<tr class="separator:ac527a523ab7470aea79fc3f2f93adf78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2958bded03f46f957a95b598cf354e37"><td class="memItemLeft" align="right" valign="top"><a class="el" href="kb__symbol_8h.html#a647437c15fb294570321ffda732a34bb">kb_symbol_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structkb__section__config__s.html#a2958bded03f46f957a95b598cf354e37">next</a></td></tr>
<tr class="separator:a2958bded03f46f957a95b598cf354e37"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Section Config Definition </p>

<p>Definition at line <a class="el" href="kb__config_8h_source.html#l00045">45</a> of file <a class="el" href="kb__config_8h_source.html">kb_config.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a7a8e848f8313b88ddc5478e96758fabd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int kb_section_config_s::alias_count</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Number of aliases </p>

<p>Definition at line <a class="el" href="kb__config_8h_source.html#l00066">66</a> of file <a class="el" href="kb__config_8h_source.html">kb_config.h</a>.</p>

<p>Referenced by <a class="el" href="kb__config_8c_source.html#l00946">kb_enum_alias()</a>, and <a class="el" href="kb__config_8c_source.html#l00466">kb_parse_alias()</a>.</p>

</div>
</div>
<a class="anchor" id="ac527a523ab7470aea79fc3f2f93adf78"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="kb__symbol_8h.html#a647437c15fb294570321ffda732a34bb">kb_symbol_t</a>* kb_section_config_s::aliases</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Pointer to the head to the alias list </p>

<p>Definition at line <a class="el" href="kb__config_8h_source.html#l00069">69</a> of file <a class="el" href="kb__config_8h_source.html">kb_config.h</a>.</p>

<p>Referenced by <a class="el" href="kb__config_8c_source.html#l00946">kb_enum_alias()</a>, and <a class="el" href="kb__config_8c_source.html#l00466">kb_parse_alias()</a>.</p>

</div>
</div>
<a class="anchor" id="a6521eaaa117a399953bfa5c1b840ebc7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int kb_section_config_s::device_count</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Number of devices </p>

<p>Definition at line <a class="el" href="kb__config_8h_source.html#l00054">54</a> of file <a class="el" href="kb__config_8h_source.html">kb_config.h</a>.</p>

<p>Referenced by <a class="el" href="kb__config_8c_source.html#l00997">kb_enum_device()</a>, <a class="el" href="kb__config_8c_source.html#l00545">kb_parse_device()</a>, and <a class="el" href="kb__config_8c_source.html#l00406">kb_parse_section()</a>.</p>

</div>
</div>
<a class="anchor" id="a349bb458b0d9d453ac29cc101c78e5cf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="kb__symbol_8h.html#a647437c15fb294570321ffda732a34bb">kb_symbol_t</a>* kb_section_config_s::devices</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Pointer to the head to the device list </p>

<p>Definition at line <a class="el" href="kb__config_8h_source.html#l00057">57</a> of file <a class="el" href="kb__config_8h_source.html">kb_config.h</a>.</p>

<p>Referenced by <a class="el" href="kb__config_8c_source.html#l00997">kb_enum_device()</a>, <a class="el" href="kb__config_8c_source.html#l00545">kb_parse_device()</a>, and <a class="el" href="kb__config_8c_source.html#l00406">kb_parse_section()</a>.</p>

</div>
</div>
<a class="anchor" id="aad5dddf2083fbb27d5a78efa14669f21"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int kb_section_config_s::module_bus</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Module bus </p>

<p>Definition at line <a class="el" href="kb__config_8h_source.html#l00048">48</a> of file <a class="el" href="kb__config_8h_source.html">kb_config.h</a>.</p>

<p>Referenced by <a class="el" href="kb__config_8c_source.html#l00323">kb_parse_modbus()</a>, <a class="el" href="kb__config_8c_source.html#l00406">kb_parse_section()</a>, and <a class="el" href="knet_8c_source.html#l00272">knet_open()</a>.</p>

</div>
</div>
<a class="anchor" id="a4e019a198c35e99e1385bb9a9aff2213"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int kb_section_config_s::module_bus_addr</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Module bus address </p>

<p>Definition at line <a class="el" href="kb__config_8h_source.html#l00051">51</a> of file <a class="el" href="kb__config_8h_source.html">kb_config.h</a>.</p>

<p>Referenced by <a class="el" href="kb__config_8c_source.html#l00371">kb_parse_modbusaddr()</a>, <a class="el" href="kb__config_8c_source.html#l00406">kb_parse_section()</a>, and <a class="el" href="knet_8c_source.html#l00272">knet_open()</a>.</p>

</div>
</div>
<a class="anchor" id="a2958bded03f46f957a95b598cf354e37"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="kb__symbol_8h.html#a647437c15fb294570321ffda732a34bb">kb_symbol_t</a>* kb_section_config_s::next</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Pointer to the next section </p>

<p>Definition at line <a class="el" href="kb__config_8h_source.html#l00072">72</a> of file <a class="el" href="kb__config_8h_source.html">kb_config.h</a>.</p>

<p>Referenced by <a class="el" href="kb__config_8c_source.html#l00909">kb_enum_section()</a>, and <a class="el" href="kb__config_8c_source.html#l00406">kb_parse_section()</a>.</p>

</div>
</div>
<a class="anchor" id="a096465d96b4dd820321c4fc7a4dd4e29"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int kb_section_config_s::register_count</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Number of registers </p>

<p>Definition at line <a class="el" href="kb__config_8h_source.html#l00060">60</a> of file <a class="el" href="kb__config_8h_source.html">kb_config.h</a>.</p>

<p>Referenced by <a class="el" href="kb__config_8c_source.html#l01047">kb_enum_register()</a>, <a class="el" href="kb__config_8c_source.html#l00778">kb_parse_register()</a>, and <a class="el" href="kb__config_8c_source.html#l00406">kb_parse_section()</a>.</p>

</div>
</div>
<a class="anchor" id="a88cea4804ec7e7c7695d3512d763604d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="kb__symbol_8h.html#a647437c15fb294570321ffda732a34bb">kb_symbol_t</a>* kb_section_config_s::registers</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Pointer to the head to the register list </p>

<p>Definition at line <a class="el" href="kb__config_8h_source.html#l00063">63</a> of file <a class="el" href="kb__config_8h_source.html">kb_config.h</a>.</p>

<p>Referenced by <a class="el" href="kb__config_8c_source.html#l01047">kb_enum_register()</a>, <a class="el" href="kb__config_8c_source.html#l00778">kb_parse_register()</a>, and <a class="el" href="kb__config_8c_source.html#l00406">kb_parse_section()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="kb__config_8h_source.html">kb_config.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structkb__section__config__s.html">kb_section_config_s</a></li>
    <li class="footer">Generated on Wed Jul 6 2016 19:39:20 for Khepera Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.6 </li>
  </ul>
</div>
</body>
</html>
